summaryrefslogtreecommitdiff
path: root/eclass/toolchain-autoconf.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-11-22 05:13:16 +0000
committerV3n3RiX <venerix@koprulu.sector>2023-11-22 05:13:16 +0000
commit734d2dac3e96161f025c33aa2d518d798cd06580 (patch)
tree77bbca9599a6ffb5ff949095afeef39f04753795 /eclass/toolchain-autoconf.eclass
parent51a01b0f2371b8dfc39f2747ecafd7d5f083ecb4 (diff)
gentoo auto-resync : 22:11:2023 - 05:13:16
Diffstat (limited to 'eclass/toolchain-autoconf.eclass')
-rw-r--r--eclass/toolchain-autoconf.eclass18
1 files changed, 14 insertions, 4 deletions
diff --git a/eclass/toolchain-autoconf.eclass b/eclass/toolchain-autoconf.eclass
index ed8d5ff1412a..137f0efac159 100644
--- a/eclass/toolchain-autoconf.eclass
+++ b/eclass/toolchain-autoconf.eclass
@@ -30,7 +30,14 @@ _TOOLCHAIN_AUTOCONF_ECLASS=1
# @ECLASS_VARIABLE: TC_AUTOCONF_INFOPATH
# @DESCRIPTION:
# Where to install info files if not slotting.
-TC_AUTOCONF_INFOPATH="${EPREFIX}/usr/share/autoconf-${PV}/info"
+TC_AUTOCONF_INFOPATH="${EPREFIX}/usr/share/${P}/info"
+
+# @ECLASS_VARIABLE: TC_AUTOCONF_ENVPREFIX
+# @DESCRIPTION:
+# Prefix number for env.d files produced by this eclass. Defaults to
+# 06. Note that the generated env.d filename format is
+# "${TC_AUTOCONF_ENVPREFIX}${PN}$((99999-(major*1000+minor)))"
+: "${TC_AUTOCONF_ENVPREFIX:=06}"
toolchain-autoconf_src_prepare() {
find -name Makefile.in -exec sed -i '/^pkgdatadir/s:$:-@VERSION@:' {} + || die
@@ -40,15 +47,18 @@ toolchain-autoconf_src_prepare() {
toolchain-autoconf_src_configure() {
# Disable Emacs in the build system since it is in a separate package.
export EMACS=no
+
+ MY_P="${P#autoconf-}"
+
local myconf=(
- --program-suffix="-${PV}"
+ --program-suffix="-${MY_P}"
)
if [[ -z "${TC_AUTOCONF_BREAK_INFOS}" && "${SLOT}" != 0 ]]; then
myconf+=(
--infodir="${TC_AUTOCONF_INFOPATH}"
)
fi
- econf "${myconf[@]}" || die
+ econf "${myconf[@]}" "${@}" || die
# econf updates config.{sub,guess} which forces the manpages
# to be regenerated which we dont want to do #146621
touch man/*.1
@@ -95,7 +105,7 @@ toolchain-autoconf_src_install() {
local major="$(ver_cut 1)"
local minor="$(ver_cut 2)"
local idx="$((99999-(major*1000+minor)))"
- newenvd - "06autoconf${idx}" <<-EOF
+ newenvd - "${TC_AUTOCONF_ENVPREFIX}${PN}${idx}" <<-EOF
INFOPATH="${TC_AUTOCONF_INFOPATH}"
EOF